Skip to main content
POST
/
library
/
{libraryId}
/
videos
/
{videoId}
Update Video
curl --request POST \
  --url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId} \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "collectionId": "<string>",
  "chapters": [
    {
      "title": "<string>",
      "start": 123,
      "end": 123
    }
  ],
  "moments": [
    {
      "label": "<string>",
      "timestamp": 123
    }
  ],
  "metaTags": [
    {
      "property": "<string>",
      "value": "<string>"
    }
  ]
}
'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}"

payload = {
"title": "<string>",
"collectionId": "<string>",
"chapters": [
{
"title": "<string>",
"start": 123,
"end": 123
}
],
"moments": [
{
"label": "<string>",
"timestamp": 123
}
],
"metaTags": [
{
"property": "<string>",
"value": "<string>"
}
]
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
collectionId: '<string>',
chapters: [{title: '<string>', start: 123, end: 123}],
moments: [{label: '<string>', timestamp: 123}],
metaTags: [{property: '<string>', value: '<string>'}]
})
};

fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "statusCode": 123
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required
videoId
string
required

Body

application/json
title
string | null

The title of the video

collectionId
string | null

The ID of the collection where the video belongs

chapters
object[] | null

The list of chapters available for the video

moments
object[] | null

The list of moments available for the video

metaTags
object[] | null

The meta tags added to the video

Response

The thumbnail was successfully set

success
boolean

Determines if the request was successful

message
string | null

Response message description

statusCode
integer<int32>

The response status code

Last modified on July 9, 2026